using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
	[Description("知识库收藏")]
	public class KnowledgeCollect : FullStateEntity
	{
		/// <summary>
		/// 知识库ID
		/// </summary>
		[SugarColumn(ColumnDescription = "知识库ID")]
		public string KnowledgeId { get; set; }

		/// <summary>
		/// 知识库
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(KnowledgeId))]
		public Knowledge Knowledge { get; set; }

		/// <summary>
		/// 评分
		/// </summary>
		[SugarColumn(ColumnDescription = "评分")]
		public decimal? Score { get; set; } = decimal.Zero;

		/// <summary>
		/// 是否收藏
		/// </summary>
		[SugarColumn(ColumnDescription = "是否收藏")]
		public bool? Collect { get; set; }

        /// <summary>
        /// 分组Id
        /// </summary>
        [SugarColumn(ColumnDescription = "分组Id")]
        public string? KnowledgeCollectGroupId { get; set; }
    }
}
